commit:     3c174a5622784b7f7193c2983a023666028ede4e
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 30 14:33:59 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Sep 30 14:33:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c174a56

sci-mathematics/easycrypt: bump to 2023.09

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/easycrypt/Manifest                 |  1 +
 sci-mathematics/easycrypt/easycrypt-2023.09.ebuild | 50 ++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/sci-mathematics/easycrypt/Manifest 
b/sci-mathematics/easycrypt/Manifest
index 01d7d4c9172a..3d5b671859fb 100644
--- a/sci-mathematics/easycrypt/Manifest
+++ b/sci-mathematics/easycrypt/Manifest
@@ -1 +1,2 @@
 DIST easycrypt-2022.04_p20230324.tar.gz 1296898 BLAKE2B 
119cb10ad5c2cd50db9f70eb858e2779cae0350b9e5370060b8045f36684a9de87ad746e75c6a7e7fcc7ad93e40bde2164866bb16e67dd2ebc3409657760cbd8
 SHA512 
917d5ff2fe65a1fd02a19d700cfb77910290746023458b6ed9eb9dc1290faa5469571a3c77510caac8734ad7d2ada6c7fbfc75bb933d0a57e9c303a8cf207026
+DIST easycrypt-2023.09.tar.gz 1317177 BLAKE2B 
98e1c13b530f1cac6f3e166a01627cfb9cd0f1660f51187dac66397caad9cd71fe6b8923ac9757015a50ee479d3427d4906dcdf3bd36012559087657904489b8
 SHA512 
06fbd3993db951b620c946679566910c8f32035da6d0e8991c794edbc95a31acf3c60c5d3e909a60535ba0252dadf86ccfba2d1998a3929c4653e159d9a4dfac

diff --git a/sci-mathematics/easycrypt/easycrypt-2023.09.ebuild 
b/sci-mathematics/easycrypt/easycrypt-2023.09.ebuild
new file mode 100644
index 000000000000..938be55dac7e
--- /dev/null
+++ b/sci-mathematics/easycrypt/easycrypt-2023.09.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit dune
+
+DESCRIPTION="Computer-Aided Cryptographic Proofs"
+HOMEPAGE="https://github.com/EasyCrypt/easycrypt/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/EasyCrypt/${PN}.git";
+else
+       SRC_URI="https://github.com/EasyCrypt/${PN}/archive/r${PV}.tar.gz
+               -> ${P}.tar.gz"
+       S="${WORKDIR}/${PN}-r${PV}"
+
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+IUSE="+ocamlopt"
+
+RDEPEND="
+       >=dev-lang/ocaml-4.08.0:=[ocamlopt?]
+       >=sci-mathematics/why3-1.6:= <sci-mathematics/why3-1.7:=
+
+       dev-ml/batteries:=
+       dev-ml/camlp-streams:=
+       dev-ml/camlzip:=
+       dev-ml/dune-build-info:=
+       dev-ml/dune-site:=
+       dev-ml/ocaml-inifiles:=
+       dev-ml/pcre-ocaml:=
+       dev-ml/yojson:=
+       dev-ml/zarith:=
+"
+DEPEND="
+       ${RDEPEND}
+"
+
+src_prepare() {
+       local theories="[\"$(ocamlc -where)/easycrypt/theories\"]"
+       sed -i "s|EcRelocate\.Sites\.theories|${theories}|g" src/ec.ml || die
+
+       default
+}

Reply via email to